Bug 805939 - Emacs hangs (fails to start) under icewm
Emacs hangs (fails to start) under icewm
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: icewm (Show other bugs)
el5
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Gilboa Davara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 10:13 EDT by Alistair Bell
Modified: 2013-07-28 17:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: icewm-1.3.7-7.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-28 17:08:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alistair Bell 2012-03-22 10:13:49 EDT
Description of problem:
When launching Emacs under icewm 1.3.7, the application hangs and fails to create a window. Occasionally the window is created but is extremely sluggish.

Version-Release number of selected component (if applicable):
icewm 1.3.7-1.el5.x86_64 and 1.3.7-3.el5.x86_64
emacs 21.4-24.el5.x86_64

How reproducible:
Always reproducible

Steps to Reproduce:
1. Start icewm.
2. Start emacs.
3.
  
Actual results:
The emacs window either does not appear or runs extremely sluggishly and is unresponsive to input.

Expected results:
Emacs runs normally.

Additional info:

This has been documented and fixed in Debian. See : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=589432 for more details.
Comment 1 Fedora Update System 2012-06-10 05:14:47 EDT
icewm-1.3.7-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icewm-1.3.7-4.fc17
Comment 2 Fedora Update System 2012-06-10 05:15:01 EDT
icewm-1.3.7-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/icewm-1.3.7-4.fc16
Comment 3 Gilboa Davara 2012-06-10 05:27:49 EDT
(EL builds will soon follow)
Comment 4 Fedora Update System 2012-06-10 06:43:06 EDT
icewm-1.3.7-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/icewm-1.3.7-5.fc16
Comment 5 Fedora Update System 2012-06-10 06:43:17 EDT
icewm-1.3.7-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/icewm-1.3.7-5.el5
Comment 6 Fedora Update System 2012-06-10 06:43:49 EDT
icewm-1.3.7-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/icewm-1.3.7-5.fc17
Comment 7 Fedora Update System 2012-06-10 06:44:00 EDT
icewm-1.3.7-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/icewm-1.3.7-5.el6
Comment 8 Fedora Update System 2013-06-09 04:26:04 EDT
icewm-1.3.7-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/icewm-1.3.7-7.el6
Comment 9 Fedora Update System 2013-06-09 04:26:21 EDT
icewm-1.3.7-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/icewm-1.3.7-7.el5
Comment 10 Fedora Update System 2013-06-10 13:02:18 EDT
Package icewm-1.3.7-7.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing icewm-1.3.7-7.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10399/icewm-1.3.7-7.el6
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-07-28 17:08:59 EDT
icewm-1.3.7-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-07-28 17:09:19 EDT
icewm-1.3.7-7.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.